Full name: projects.locations.memoryBanks.memories.list
List Memories.
Endpoint
gethttps://{service-endpoint}/v1beta1/{parent}/memories
Where {service-endpoint} is one of the supported service endpoints.
Path parameters
parentstring
Required. The resource name of the ReasoningEngine to list the Memories under. Format: projects/{project}/locations/{location}/reasoningEngines/{reasoningEngine}
Query parameters
filterstring
Optional. The standard list filter. More detail in AIP-160.
Supported fields: * scope (as a JSON string with equality match only) * topics (i.e. topics.custom_memory_topic_label: "example topic" OR
topics.managed_memory_topic: USER_PREFERENCES)
pageSizeinteger
Optional. The standard list page size.
pageTokenstring
Optional. The standard list page token.
orderBystring
Optional. The standard list order by string. If not specified, the default order is createTime desc. If specified, the default sorting order of provided fields is ascending.
More detail in AIP-132.
Supported fields: * createTime * updateTime
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of ListMemoriesResponse.